Bug 242088

Summary: audio/fossmixer: Fix windowing & update maintainer/author email address
Product: Ports & Packages Reporter: Jani Salonen <salojan>
Component: Individual Port(s)Assignee: Jason E. Hale <jhale>
Status: Closed FIXED    
Severity: Affects Some People CC: jhale, robak
Priority: --- Keywords: buildisok
Version: LatestFlags: koobs: merge-quarterly?
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch to make description to happen. salojan: maintainer-approval+

Description Jani Salonen 2019-11-19 21:38:29 UTC
Created attachment 209258 [details]
Patch to make description to happen.

Fix the port dependency to make windowing work if pkgconfig is not installed already, and update maintainer/author email address.
Comment 1 Bugzilla Automation freebsd_committer 2019-11-19 21:38:29 UTC
Maintainer informed via mail
Comment 2 Automation User 2019-11-19 22:07:00 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/97103604
Comment 3 Bartek Rutkowski freebsd_committer 2020-02-28 21:01:02 UTC
If you want to change the maintainer address, you need to do that from an account of the maintainer, that is using the current maintainer's email, as it is in the Makefile.
Comment 4 Jani Salonen 2020-06-29 18:50:29 UTC
(In reply to Bartek Rutkowski from comment #3)
Okay, I changed original email back as it is in old Makefile, is that sufficient or do I need to create new ticket?
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-30 05:04:21 UTC
^Triage: 

- [tags] in issue Titles are deprecated
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-30 05:04:46 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]
Comment 7 Jason E. Hale freebsd_committer 2021-01-21 18:18:37 UTC
I'll take it.
Comment 8 commit-hook freebsd_committer 2021-01-22 08:31:29 UTC
A commit references this bug:

Author: jhale
Date: Fri Jan 22 08:30:42 UTC 2021
New revision: 562281
URL: https://svnweb.freebsd.org/changeset/ports/562281

Log:
  audio/fossmixer: Update to 0.0.3

  Update maintainer email address.

  *While here*
  Use SF macro in MASTER_SITES
  Use USES=tar:xz instead of EXTRACT_SUFX
  Remove redundant redefinition of WRKSRC

  PR:		242088
  Submitted by:	Jani Salonen <salojan@goto10.co> (maintainer)

Changes:
  head/audio/fossmixer/Makefile
  head/audio/fossmixer/distinfo
Comment 9 Jason E. Hale freebsd_committer 2021-01-22 08:34:50 UTC
Committed with minor changes. Sorry this took so long.